LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDrawPageExpander Interface Referencepublished

is implemented by documents that can expand the contents of a summary on a DrawPage into a collection of DrawPages. More...

`import"XDrawPageExpander.idl";`

Inheritance diagram for XDrawPageExpander:

## Public Member Functions
com::sun::star::drawing::XDrawPages | expand ([in] com::sun::star::drawing::XDrawPage xPage)
| creates a collection of DrawPages from the summary inside the given DrawPage and adds them to the same model as the source DrawPage. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is implemented by documents that can expand the contents of a summary on a DrawPage into a collection of DrawPages.

See also
  XDrawPageSummarizer

Deprecated:

## Member Function Documentation

## ◆ expand()

com::sun::star::drawing::XDrawPages expand | ( | [in] com::sun::star::drawing::XDrawPage | xPage | ) |

creates a collection of DrawPages from the summary inside the given DrawPage and adds them to the same model as the source DrawPage.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XDrawPageExpander.idl